## dotnet6 6.0.110

=== debian/changelog ===
dotnet6 (6.0.110-0ubuntu1) kinetic; urgency=medium

  * New upstream release.
  * SECURITY UPDATE: cache poisoning
    - CVE-2022-41032: Nuget cache poisoning via world-writable cache directory.

  [ Miriam España Acebal ]
  * d/rules: _minor_sdk_version calculation updated to parse last two digits.
  * d/p/10199-arcade-add-clang-15-autodetection.patch
    and d/p/73065-runtime-fix-definition-cpuid-clang-15.patch: New
    patches for avoiding FTBFS when using clang-15 on amd64 architectures.

 -- Ian Constantin <ian.constantin@canonical.com>  Tue, 11 Oct 2022 11:11:12 -0400

dotnet6 (6.0.109-0ubuntu1) kinetic; urgency=medium

  * New upstream release.
  * SECURITY UPDATE: denial of service
    - CVE-2022-38013: ASP.NET Core MVC vulnerable to stack overflow via
      ModelStateDictionary recursion.
  * d/control: removed the libunwind-13 dependency for dotnet-runtime-6.0
    (LP: 1984450)
  * d/README.source: updated with info regarding private repo use.

 -- Ian Constantin <ian.constantin@canonical.com>  Mon, 12 Sep 2022 17:59:11 -0400

dotnet6 (6.0.108-0ubuntu1) kinetic; urgency=medium

  * New upstream release.
  * SECURITY UPDATE
    - CVE-2022-34716: External Entity Injection during XML signature
      verification

 -- Miriam España Acebal <miriam.espana@canonical.com>  Thu, 04 Aug 2022 11:00:57 +0200

dotnet6 (6.0.107-0ubuntu2) kinetic; urgency=medium

  * d/copyright: Removing references to licenses for excluded
    libunwind vendorized code.
  * d/dotnet-host.bash-completion.in: Fixed path.
  * d/s/lintian-overrides: Fixing new format for lintian output.
    Added some new overrides for code shipped in the new tarball.

  [ Jesús Soto ]
  * d/copyright: Added vendorized libunwind code to Files-Excludes.

 -- Miriam España Acebal <miriam.espana@canonical.com>  Tue, 26 Jul 2022 11:17:40 +0200

dotnet6 (6.0.107-0ubuntu1) kinetic; urgency=medium

  * New upstream version.
  * d/copyright: Added Files-Excluded stanza.
  * d/rules: Got the minor version for the SDK and apply it to the
    Priority on alternatives too.
  * d/build-dotnet-tarball.sh: Changed it to work with embargoed repo
    (new logic).
  * d/watch: Added commented part to work without script with a public
    monorepo. Added template/example/invalid parameter for the script.
  * d/README.source: Reflects now the new origtarball building,
    remove text about aggregated repositories building and not use
    of the d/p/series file.

  [ Jesús Soto ]
  * d/p/remove-libunwind-build.patch: Adapt CMakeLists.txt for use
    system libunwind instead of vendorized code.
  * d/p/series: Added above patch.
  * d/control: Added libunwind-dev to build dependencies and
    libunwind-13 as dotnet-runtime-6.0 dependency.
  * d/copyright: Added list of precompiled binaries files not used
    in building.

 -- Miriam España Acebal <miriam.espana@canonical.com>  Fri, 22 Jul 2022 13:41:58 +0200

dotnet6 (6.0.106-0ubuntu2) kinetic; urgency=medium

  * dotnet-runtime-6.0: bump dependency on libicu70 ->
    libicu71 for the ICU transition
  * dotnet-runtime-6.0: drop dependency on libunwind-13,
    we currently use the vendored copy of libunwind

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 30 Jun 2022 09:36:29 +0000

dotnet6 (6.0.106-0ubuntu1) kinetic; urgency=medium

  * Initial Release (LP: #1979414)

  [ Steve Langasek ]
  * Adjustments to debian/copyright declarations based on Ubuntu NEW review.

 -- Miriam España Acebal <miriam.espana@canonical.com>  Wed, 22 Jun 2022 13:22:15 +0200
