=== debian/control ===
Source: dotnet6
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: clang,
               cmake,
               bash-completion,
               debhelper-compat (= 13),
               dotnet-sdk-6.0,
	       dotnet-sdk-6.0-source-built-artifacts,
               git,
               libicu-dev,
               libkrb5-dev,
               liblttng-ust-dev,
               libssl-dev,
               libunwind-dev,
               lld,
               llvm,
               locales-all,
               python3,
               zlib1g-dev
Standards-Version: 4.6.0
Rules-Requires-Root: binary-targets
Homepage: https://dot.net/core

Package: dotnet6
Architecture: amd64
Depends: dotnet-sdk-6.0, ${misc:Depends}, ${shlibs:Depends}
Description: dotNET CLI tools and runtime
 dotNET is a fast, lightweight and modular platform for creating
 cross platform applications that work on GNU/Linux, macOS and Windows.
 .
 It particularly focuses on creating console applications, web
 applications and micro-services.
 .
 dotNET contains a runtime conforming to dotNET Standards a set of
 framework libraries, an SDK containing compilers and a 'dotnet'
 application to drive everything.

Package: dotnet-host
Architecture: amd64
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: dotNET host command line
 The dotNET host is a command line program that runs a standalone
 dotNET application or launches the SDK.
 .
 dotNET is a fast, lightweight and modular platform for creating
 cross platform applications that work on GNU/Linux, macOS and Windows.
 .
 It particularly focuses on creating console applications, web
 applications and micro-services.

Package: dotnet-hostfxr-6.0
Architecture: amd64
Depends: dotnet-host, ${misc:Depends}, ${shlibs:Depends}
Description: dotNET host resolver
 The dotNET host resolver contains the logic to resolve and select
 the right version of the dotNet SDK or runtime to use.
 .
 dotNET is a fast, lightweight and modular platform for creating
 cross platform applications that work on GNU/Linux, macOS and Windows.
 .
 It particularly focuses on creating console applications, web
 applications and micro-services.

Package: dotnet-runtime-6.0
Architecture: amd64
Depends: dotnet-hostfxr-6.0,
         libicu71,
         ${misc:Depends},
         ${shlibs:Depends}
Description: dotNET runtime
 The dotNET runtime contains everything needed to run dotNet applications.
 It includes a high performance Virtual Machine as well as the framework
 libraries used by dotNet applications.
 .
 dotNET is a fast, lightweight and modular platform for creating
 cross platform applications that work on GNU/Linux, macOS and Windows.
 .
 It particularly focuses on creating console applications, web
 applications and micro-services.

Package: aspnetcore-runtime-6.0
Architecture: amd64
Depends: dotnet-runtime-6.0, ${misc:Depends}, ${shlibs:Depends}
Description: ASP dotNET Core runtime
 The ASP dotNET Core runtime contains everything needed to run dotNet
 web applications. It includes a high performance Virtual Machine as
 well as the framework libraries used by dotNet applications.
 .
 ASP dotNET Core is a fast, lightweight and modular platform for creating
 cross platform applications that work on GNU/Linux, macOS and Windows.
 .
 It particularly focuses on creating console applications, web
 applications and micro-services.

Package: dotnet-templates-6.0
Architecture: amd64
Depends: dotnet-host, ${misc:Depends}, ${shlibs:Depends}
Description: dotNET 6.0 templates
 This package contains templates used by the dotNet SDK.
 .
 dotNET is a fast, lightweight and modular platform for creating
 cross platform applications that work on GNU/Linux, macOS and Windows.
 .
 It particularly focuses on creating console applications, web
 applications and micro-services.

Package: dotnet-sdk-6.0
Architecture: amd64
Depends: aspnetcore-runtime-6.0,
         aspnetcore-targeting-pack-6.0,
         dotnet-apphost-pack-6.0,
         dotnet-runtime-6.0,
         dotnet-targeting-pack-6.0,
         dotnet-templates-6.0,
         netstandard-targeting-pack-2.1,
         ${misc:Depends},
         ${shlibs:Depends}
Description: dotNET 6.0 Software Development Kit
 The dotNET SDK is a collection of command line applications to
 create, build, publish and run dotNet applications.
 .
 dotNET is a fast, lightweight and modular platform for creating
 cross platform applications that work on GNU/Linux, macOS and Windows.
 .
 It particularly focuses on creating console applications, web
 applications and micro-services.

Package: dotnet-sdk-6.0-source-built-artifacts
Architecture: amd64
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Internal package for building dotNet 6.0 Software Development Kit
 The dotNET source-built archive is a collection of packages needed
 to build the dotNET SDK itself.
 .
 These are not meant for general use.

Package: dotnet-targeting-pack-6.0
Architecture: amd64
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Internal - targeting pack for Microsoft.NETCore.App 6.0
 This package provides a targeting pack for Microsoft.NETCore.App 6.0
 that allows developers to compile against and target Microsoft.NETCore.App 6.0
 applications using the .NET SDK. This are not meant for general use.

Package: netstandard-targeting-pack-2.1
Architecture: amd64
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Internal - targeting pack for NETStandard.Library 2.1
 This package provides a targeting pack for NETStandard.Library 2.1
 that allows developers to compile against and target NETStandard.Library 2.1
 applications using the .NET SDK.
 This are not meant for general use.

Package: aspnetcore-targeting-pack-6.0
Architecture: amd64
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Internal - targeting pack for Microsoft.AspNetCore.App 6.0
 This package provides a targeting pack for Microsoft.AspNetCore.App 6.0
 that allows developers to compile against and target
 Microsoft.AspNetCore.App 6.0 applications using the .NET SDK.
 This are not meant for general use.

Package: dotnet-apphost-pack-6.0
Architecture: amd64
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Internal - targeting pack for Microsoft.NETCore.App 6.0
 This package provides a targeting pack for Microsoft.NETCore.App 6.0
 that allows developers to compile against and target Microsoft.NETCore.App 6.0
 applications using the .NET SDK. This not meant for general use.
