=== debian/tests/control ===
Tests: basic-checks basic-commands
Depends: @
Restrictions: superficial
