=== debian/watch ===
version=4
opts="repack,compression=xz,filenamemangle=s%(?:.*?)?v(\d[\d.]*)\.tar\.gz%dotnet-$1.tar.gz%" \
  https://github.com/dotnet/installer/tags \
  (?:.*?/)?v(\d[\d.]*)\.tar\.gz \
  debian debian/build-dotnet-tarball.sh <target_repo>
