## dotnet6 6.0.116

=== debian/changelog ===
dotnet6 (6.0.116-0ubuntu2) lunar; urgency=medium

  * tests/basic-checks: updated basic version check to new dotnet version.

 -- Ian Constantin <ian.constantin@canonical.com>  Wed, 12 Apr 2023 12:01:23 +0300

dotnet6 (6.0.116-0ubuntu1) lunar; urgency=medium

  * New upstream release.
  * SECURITY UPDATE: elevation of privilege
    - CVE-2023-28260: AzureDevOps Elevation of Privilege - Dotnet CWD dll
      hijack vuln.

 -- Ian Constantin <ian.constantin@canonical.com>  Wed, 05 Apr 2023 16:11:34 +0300

dotnet6 (6.0.115-0ubuntu2) lunar; urgency=medium

  * d/p/add-kinetic-rids.patch: Added RIDs for ubuntu 22.10 kinetic.
    - Based on the dropped d/p/66225runtime-fix-runtime-id.patch 
      from wfurt <tweinfurt@yahoo.com>.

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Tue, 21 Mar 2023 19:58:57 +0200

dotnet6 (6.0.115-0ubuntu1) lunar; urgency=medium

  * New upstream microrelease.
  * d/p/66225runtime-fix-runtime-id.patch: Dropped.

 -- Miriam España Acebal <miriam.espana@canonical.com>  Fri, 10 Mar 2023 13:02:43 +0100

dotnet6 (6.0.114-0ubuntu1) lunar; urgency=medium

  * New upstream microrelease.
  * d/control: Using libicu72.
  * d/p/1501sdk-22373-portablerid.patch: Dropped.
  * d/repack-dotnet-tarball.sh: New file. Repack MS tarball.
  * d/rules: if-else for bootstrapping building versus normal one (as done
    for dotnet7). Reenabling install_location file per architecture. Removing
    unused commented lines for clarity.
  * d/tests: Updating these to match the style of those in dotnet7.

 -- Miriam España Acebal <miriam.espana@canonical.com>  Thu, 09 Mar 2023 12:15:50 +0100

dotnet6 (6.0.113-0ubuntu2) lunar; urgency=medium

  * Rebuild against latest icu

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 04 Feb 2023 10:32:29 -0500

dotnet6 (6.0.113-0ubuntu1) lunar; urgency=medium

  * New upstream release.
  * SECURITY UPDATE: denial of service
    - CVE-2023-21538: Parsing an empty HTTP response as a JSON.NET JObject
      causes a stack overflow and crashes a process.

 -- Ian Constantin <ian.constantin@canonical.com>  Thu, 05 Jan 2023 10:29:20 +0200

dotnet6 (6.0.112-0ubuntu1) lunar; urgency=medium

  * New upstream release (LP: #1999549).
  * d/p/series: Removing patch
    73065-runtime-fix-definition-cpuid-clang-15.patch.
  * d/dotnet-host.install.in: Fix destination of install_location*
    files (LP: #1999266).
  * d/dotnet.sh.in: Eliminate the condition to force updating of
    DOTNET_ROOT variable (LP: #1997746).

 -- Miriam España Acebal <miriam.espana@canonical.com>  Tue, 13 Dec 2022 11:03:19 +0100

dotnet6 (6.0.111-0ubuntu3) lunar; urgency=medium

  * Don't remove the --with-sdk option, this is supposed to be there.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 17 Nov 2022 20:57:19 +0000

dotnet6 (6.0.111-0ubuntu2) lunar; urgency=medium

  * Packaging fixups to fix ftbfs against existing 6.0.110.
  * Refresh debian/patches/66225runtime-fix-runtime-id.patch for lunar.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 17 Nov 2022 19:44:47 +0000

dotnet6 (6.0.111-0ubuntu1) lunar; urgency=medium

  * New upstream release.
  * d/build-dotnet-tarball-sh: No removing libunwind needed by arm64.
  * d/control: building for arm64 too.
  * d/copyright: Non excluding libunwind needed by arm64..
  * d/dotnet-host.install.in: Removing manpages and bash-completion.
  * d/dotnet-host.links.in: New file for dotnet binary.
  * d/dotnet-host.preinst: New file for removing alternatives.
  * d/dotnet-host.manpages : New file.
  * d/dotnet-host.lintian-overrides: New file for man page warnings
    that are being fixed in upstream.
  * d/p/remove-libunwind-build.patch : Modified to apply depending
    on architecture.
  * d/rules:
    + DOTNETLIBDIR is now only DOTNET_TOP
    + Adding --with bash-completion
    + Eliminating dependants creation for alternatives.
    + Eliminating manual installation of man pages.
    (LP: #1996499)

 -- Miriam España Acebal <miriam.espana@canonical.com>  Mon, 31 Oct 2022 14:32:47 +0200
