=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,11 @@
 export HOME=$(shell mktemp -d)
 
 ifeq ($(DEB_HOST_ARCH), amd64)
-	_RUNTIME_ARCH = x64
+        _RUNTIME_ARCH = x64
+else ifeq ($(DEB_HOST_ARCH), arm64)
+        _RUNTIME_ARCH = arm64
 endif
+
 _RUNTIME_ID = $(shell . /etc/os-release; [ ! -z $${VERSION_ID} ] && echo $${ID}.$${VERSION_ID} || echo $${ID})
 _SDK_VERSION = $(DEB_VERSION_UPSTREAM)
 _minor_sdk_version=$(shell echo $(_SDK_VERSION) | sed 's/.*\(..\)/\1/')
@@ -27,29 +30,39 @@
 DOTNET_TOP = $(LIBDIR)/dotnet
 dotnet_version = dotnet$(_VERSION)
 dotnet_dirname = $(dotnet_version)-$(_SDK_VERSION)
-DOTNETLIBDIR=$(DOTNET_TOP)/$(dotnet_dirname)
+DOTNETLIBDIR=$(DOTNET_TOP)
 DOTNETETCDIR=$(SYSCONFDIR)/dotnet
 
+INITIAL_BOOTSTRAPPING=1
 
 %:
-	dh $@
+	dh $@ --with bash-completion
 
 override_dh_auto_build:
 
+ifeq ($(INITIAL_BOOTSTRAPPING),1)
 	mkdir -p $(CURDIR)/packages/archive
-	ln -s $(DOTNET_TOP)/$(dotnet_version)/source-built-artifacts/Private.SourceBuilt.Artifacts.*.tar.gz $(CURDIR)/packages/archive/
-	cp -RLp $(DOTNET_TOP)/$(dotnet_version) $(CURDIR)/previously-built-dotnet
+	ln -s $(DOTNET_TOP)/source-built-artifacts/Private.SourceBuilt.Artifacts.*.tar.gz $(CURDIR)/packages/archive/
+	cp -RLp $(DOTNET_TOP) $(CURDIR)/previously-built-dotnet
 	find previously-built-dotnet
-
 
 	VERBOSE=1 ./build.sh \
 	--with-sdk $(CURDIR)/previously-built-dotnet \
-    	-- \
-    	/v:n \
-    	/p:SkipPortableRuntimeBuild=true \
-    	/p:LogVerbosity=n \
-    	/p:MinimalConsoleLogOutput=false \
-    	/p:ContinueOnPrebuiltBaselineError=true \
+	-- \
+	/v:n \
+	/p:SkipPortableRuntimeBuild=true \
+	/p:LogVerbosity=n \
+	/p:MinimalConsoleLogOutput=false \
+   	/p:ContinueOnPrebuiltBaselineError=true
+else
+	VERBOSE=1 ./build.sh --clean-while-building \
+	-- \
+	/v:n \
+	/p:SkipPortableRuntimeBuild=true \
+	/p:LogVerbosity=n \
+	/p:MinimalConsoleLogOutput=false \
+	/p:ContinueOnPrebuiltBaselineError=true
+endif
 
 override_dh_install:
 
@@ -78,24 +91,7 @@
 	find $(DESTDIR)/$(DOTNETLIBDIR) -type f -name '*.txt' -exec chmod -x {} \;
 	find $(DESTDIR)/$(DOTNETLIBDIR) -type f -name '*.xml' -exec chmod -x {} \;
 
-
-	install -dm 0755 $(DESTDIR)/$(DOTNETLIBDIR)/man/man1
-	find -iname 'dotnet*.1' -type f -exec cp {} $(DESTDIR)/$(DOTNETLIBDIR)/man/man1/ \;
-	gzip -9v -n $(DESTDIR)/$(DOTNETLIBDIR)/man/man1/*
-
-	for f in $(DESTDIR)/$(DOTNETLIBDIR)/man/man1/*.1.gz; do \
-       	f=$$(basename $$f); \
-		echo " /usr/share/man/man1/$$f $$f $(DOTNETLIBDIR)/man/man1/$$f" >> debian/tmp/dependants;  \
-	done
-
 	echo "$(DOTNETLIBDIR)" > install_location_$(_RUNTIME_ARCH)
-	echo " /etc/dotnet/install_location install_location $(DOTNETLIBDIR)/install_location" >> debian/tmp/dependants
-	echo " /etc/dotnet/install_location_$(_RUNTIME_ARCH) install_location_$(_RUNTIME_ARCH) $(DOTNETLIBDIR)/install_location_$(_RUNTIME_ARCH)" >> debian/tmp/dependants
-
-
-	cat debian/tmp/dependants >> debian/dotnet-host.alternatives.in
-	echo "Priority: 6010$(_minor_sdk_version)" >> debian/dotnet-host.alternatives.in
-
 
 	for f in debian/*.in; do \
 	  f2=$$(echo $$f | sed 's/\.in$$//'); \
@@ -114,7 +110,6 @@
 	done
 
 	cp $(CURDIR)/debian/install_location $(CURDIR)/debian/install_location_$(_RUNTIME_ARCH)
-	rm debian/tmp/dependants
 	dh_install
 
 override_dh_dwz:
