## dotnet6 6.0.120

=== debian/changelog ===
dotnet6 (6.0.120-0ubuntu1~22.10.1) kinetic-security; urgency=medium

  * New upstream release.
  * SECURITY UPDATE: security feature bypass
    - CVE-2023-33170: Race Condition in ASP.NET Core SignInManager<TUser>
      PasswordSignInAsync Method
  * debian/tests/control: enabled test dotnet-runtime-json-contains-ubuntu-rids
  * debian/tests/.tests.rc.d/init.sh: fixed parsing error of runtime revision number

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 06 Jul 2023 11:41:52 +0530

dotnet6 (6.0.119-0ubuntu1~22.10.1) kinetic-security; urgency=medium

  [ Dominik Viererbe ]
  * New upstream release.
    - Fixes regression that was introduced with the bugfix for CVE-2023-29331:
      Loading null-password-encrypted PFX certificates through .NET can fail
      unexpectedly for certificates that previously loaded successfully.

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 22 Jun 2023 15:19:23 +0530

dotnet6 (6.0.118-0ubuntu1~22.10.1) kinetic-security; urgency=medium

  * New upstream release.
  * SECURITY UPDATE: elevation of privilege
    - CVE-2023-24936: Bypass restrictions when deserializing a DataSet or
      DataTable from XML.
  * SECURITY UPDATE: denial of service
    - CVE-2023-29331: When a .NET application is internet-facing and accepts
      an X509 client certificate for mutual TLS, a malicious client certificate
      can cause unbounded CPU usage.
  * SECURITY UPDATE: remote code exection
    - CVE-2023-29337: A vulnerability exists in NuGet where a potential race
      condition can lead to a symlink attack.
  * SECURITY UPDATE: remote code execution
    - CVE-2023-33128: An issue in source generators can lead to a crash due to
      unmanaged heap corruption.
  * debian/patches/add-kinetic-rids.patch: removed due to inclusion upstream.

  [ Dominik Viererbe ]
  * d/t: extended autopkgtest:
    * essential-binaries-and-config-files-should-be-present
    * cli-metadata-should-be-correct
    * global-json-should-be-detected
    * console-template-should-build-and-run
    * dotnet-help-should-show-output
    * dotnet-project-management-cli-should-work
    * example-fsharp-script-output-should-equal-expected-values
    * building-hello-world-for-all-supported-rids-should-work
    * dotnet-xunit-tests-should-work
    * nuget-cli-should-be-able-to-consume-packages-from-nuget-gallery
    * crossbuild-for-windows-x64-should-run
    * dotnet6-and-dotnet7-should-work-together

 -- Ian Constantin <ian.constantin@canonical.com>  Fri, 02 Jun 2023 18:32:40 +0300

dotnet6 (6.0.116-0ubuntu1~22.10.1) kinetic-security; urgency=medium

  * New upstream release.
  * SECURITY UPDATE: elevation of privilege
    - CVE-2023-28260: AzureDevOps Elevation of Privilege - Dotnet CWD dll
      hijack vuln.

 -- Ian Constantin <ian.constantin@canonical.com>  Wed, 05 Apr 2023 16:09:08 +0300

dotnet6 (6.0.115-0ubuntu2~22.10.1) kinetic; urgency=medium

  * Backport dotnet 6.0.115 to kinetic (LP: #2011807).
    - debian/control: revert to libicu71

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Wed, 22 Mar 2023 13:11:32 +0200
