=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
                bash-completion,
                debhelper-compat (= 13),
                dotnet-sdk-6.0,
-	       dotnet-sdk-6.0-source-built-artifacts,
+               dotnet-sdk-6.0-source-built-artifacts,
                git,
                libicu-dev,
                libkrb5-dev,
                liblttng-ust-dev,
                libssl-dev,
-               libunwind-dev,
+               libunwind-dev [amd64],
                lld,
                llvm,
                locales-all,
@@ -24,7 +24,7 @@
 Homepage: https://dot.net/core
 
 Package: dotnet6
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: dotnet-sdk-6.0, ${misc:Depends}, ${shlibs:Depends}
 Description: dotNET CLI tools and runtime
  dotNET is a fast, lightweight and modular platform for creating
@@ -38,7 +38,7 @@
  application to drive everything.
 
 Package: dotnet-host
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: dotNET host command line
  The dotNET host is a command line program that runs a standalone
@@ -51,7 +51,7 @@
  applications and micro-services.
 
 Package: dotnet-hostfxr-6.0
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: dotnet-host, ${misc:Depends}, ${shlibs:Depends}
 Description: dotNET host resolver
  The dotNET host resolver contains the logic to resolve and select
@@ -64,7 +64,7 @@
  applications and micro-services.
 
 Package: dotnet-runtime-6.0
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: dotnet-hostfxr-6.0,
          libicu71,
          ${misc:Depends},
@@ -81,7 +81,7 @@
  applications and micro-services.
 
 Package: aspnetcore-runtime-6.0
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: dotnet-runtime-6.0, ${misc:Depends}, ${shlibs:Depends}
 Description: ASP dotNET Core runtime
  The ASP dotNET Core runtime contains everything needed to run dotNet
@@ -95,7 +95,7 @@
  applications and micro-services.
 
 Package: dotnet-templates-6.0
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: dotnet-host, ${misc:Depends}, ${shlibs:Depends}
 Description: dotNET 6.0 templates
  This package contains templates used by the dotNet SDK.
@@ -107,7 +107,7 @@
  applications and micro-services.
 
 Package: dotnet-sdk-6.0
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: aspnetcore-runtime-6.0,
          aspnetcore-targeting-pack-6.0,
          dotnet-apphost-pack-6.0,
@@ -128,7 +128,7 @@
  applications and micro-services.
 
 Package: dotnet-sdk-6.0-source-built-artifacts
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Internal package for building dotNet 6.0 Software Development Kit
  The dotNET source-built archive is a collection of packages needed
@@ -137,7 +137,7 @@
  These are not meant for general use.
 
 Package: dotnet-targeting-pack-6.0
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Internal - targeting pack for Microsoft.NETCore.App 6.0
  This package provides a targeting pack for Microsoft.NETCore.App 6.0
@@ -145,7 +145,7 @@
  applications using the .NET SDK. This are not meant for general use.
 
 Package: netstandard-targeting-pack-2.1
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Internal - targeting pack for NETStandard.Library 2.1
  This package provides a targeting pack for NETStandard.Library 2.1
@@ -154,7 +154,7 @@
  This are not meant for general use.
 
 Package: aspnetcore-targeting-pack-6.0
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Internal - targeting pack for Microsoft.AspNetCore.App 6.0
  This package provides a targeting pack for Microsoft.AspNetCore.App 6.0
@@ -163,7 +163,7 @@
  This are not meant for general use.
 
 Package: dotnet-apphost-pack-6.0
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Internal - targeting pack for Microsoft.NETCore.App 6.0
  This package provides a targeting pack for Microsoft.NETCore.App 6.0
