## dotnet6 6.0.121

=== debian/changelog ===
dotnet6 (6.0.121-0ubuntu1) mantic; urgency=medium

  * New upstream release.
  * SECURITY UPDATE: remote code exection
    - CVE-2023-35390: When running some dotnet commands(e.g. dotnet help
      add), dotnet attempts to locate and initiate a new process using
      cmd.exe. However, it prioritizes searching for cmd.exe in the current
      working directory (CWD) before checking other locations. This can
      potentially lead to the execution of malicious code.
  * SECURITY UPDATE: denial of service
    - CVE-2023-38178: ASP.NET Kestrel stream flow control issue causing a
      leak. A malicious QUIC client, that fires off many unidirectional
      streams with closed writing sides. This will bypass the HTTP/3 stream
      limit and Kestrel cannot keep up with stream processing.
  * SECURITY UPDATE: denial of service
    - CVE-2023-38180: Kestrel vulnerability to slow read attacks

 -- Nishit Majithia <nishit.majithia@canonical.com>  Wed, 02 Aug 2023 13:18:55 +0530

dotnet6 (6.0.120-0ubuntu2) mantic; urgency=medium

  * d/README.source: updated content
    * added support documentation
    * added end of life process documentation
    * general overhaul
  * d/dotnet.sh.in: DOTNET_ROOT was unnecessarily set (LP: #2027620)
  * d/t/essential-binaries-and-config-files-should-be-present:
    remove check if DOTNET_ROOT is set
  * d/watch
    * updated matching-pattern to only match 6.0.1XX releases
    * d/watch file will fail now deliberately. See comment in d/watch
      for more information
  * unify d/repack-dotnet-tarball.sh into d/build-dotnet-tarball.sh and
    updated command line interface

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Thu, 27 Jul 2023 14:19:58 +0300

dotnet6 (6.0.120-0ubuntu1) mantic; urgency=medium

  * New upstream release.
  * SECURITY UPDATE: security feature bypass
    - CVE-2023-33170: Race Condition in ASP.NET Core SignInManager<TUser>
      PasswordSignInAsync Method
  * debian/tests/control: enabled test dotnet-runtime-json-contains-ubuntu-rids
  * debian/tests/.tests.rc.d/init.sh: fixed parsing error of runtime revision number

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 06 Jul 2023 11:51:46 +0530

dotnet6 (6.0.119-0ubuntu1) mantic; urgency=medium

  [ Dominik Viererbe ]
  * New upstream release.
    - Fixes regression that was introduced with the bugfix for CVE-2023-29331:
      Loading null-password-encrypted PFX certificates through .NET can fail
      unexpectedly for certificates that previously loaded successfully.

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 22 Jun 2023 15:48:04 +0530

dotnet6 (6.0.118-0ubuntu1) mantic; urgency=medium

  * New upstream release.
  * SECURITY UPDATE: elevation of privilege
    - CVE-2023-24936: Bypass restrictions when deserializing a DataSet or
      DataTable from XML.
  * SECURITY UPDATE: denial of service
    - CVE-2023-29331: When a .NET application is internet-facing and accepts
      an X509 client certificate for mutual TLS, a malicious client certificate
      can cause unbounded CPU usage.
  * SECURITY UPDATE: remote code exection
    - CVE-2023-29337: A vulnerability exists in NuGet where a potential race
      condition can lead to a symlink attack.
  * SECURITY UPDATE: remote code execution
    - CVE-2023-33128: An issue in source generators can lead to a crash due to
      unmanaged heap corruption.
  * debian/patches/add-kinetic-rids.patch: removed due to inclusion upstream.
  * debian/patches/add-mantic-rids.patch: removed due to inclusion upstream.

 -- Ian Constantin <ian.constantin@canonical.com>  Fri, 02 Jun 2023 15:06:25 +0300

dotnet6 (6.0.116-0ubuntu3) mantic; urgency=medium

  * d/p/add-mantic-rids.patch: Added RIDs for ubuntu 23.10 mantic.
  * d/p/add-kinetic-rids.patch: refreshed to ab style patch
  * d/t: extended autopkgtest:
    * essential-binaries-and-config-files-should-be-present
    * cli-metadata-should-be-correct
    * global-json-should-be-detected
    * console-template-should-build-and-run
    * dotnet-help-should-show-output
    * dotnet-project-management-cli-should-work
    * example-fsharp-script-output-should-equal-expected-values
    * building-hello-world-for-all-supported-rids-should-work
    * dotnet-xunit-tests-should-work
    * nuget-cli-should-be-able-to-consume-packages-from-nuget-gallery
    * crossbuild-for-windows-x64-should-run
    * dotnet6-and-dotnet7-should-work-together

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Fri, 19 May 2023 10:36:01 +0300
