=== debian/control ===
--- 
+++ 
@@ -66,7 +66,7 @@
 Package: dotnet-runtime-6.0
 Architecture: amd64 arm64
 Depends: dotnet-hostfxr-6.0,
-         libicu71,
+         libicu72,
          ${misc:Depends},
          ${shlibs:Depends}
 Description: dotNET runtime
