=== debian/tests/control ===
Tests:
 essential-binaries-and-config-files-should-be-present,
Depends: dotnet6
Restrictions: superficial

Tests:
 cli-metadata-should-be-correct,
Depends: dotnet6
Restrictions: skippable

Tests:
 global-json-should-be-detected,
 console-template-should-build-and-run,
 dotnet-help-should-show-output,
 dotnet-project-management-cli-should-work,
 example-fsharp-script-output-should-equal-expected-values,
 building-hello-world-for-all-supported-rids-should-work,
 dotnet-runtime-json-contains-ubuntu-rids,
Depends: dotnet6

Tests:
 dotnet-xunit-tests-should-work,
 nuget-cli-should-be-able-to-consume-packages-from-nuget-gallery,
Depends: dotnet6
Restrictions: needs-internet

Tests:
 crossbuild-for-windows-x64-should-run,
Depends: dotnet6, wine
Architecture: amd64

Tests:
 dotnet6-and-dotnet7-should-work-together,
Depends: dotnet6, dotnet7
