=== debian/watch ===
version=4
opts="repack,compression=xz,filenamemangle=s%(?:.*?)?v(6\.0\.1\d\d)\.tar\.gz%dotnet-$1.tar.gz%" \
https://github.com/dotnet/installer/tags \
(?:.*?/)?v(6\.0\.1\d\d)\.tar\.gz \
# See the section "Package Design Considerations" > "`debian/watch` file"
# in the README.source file for more context.
debian debian/failing-watchfile-script.sh
